/*
 * stock.hpp
 *
 *  Created on: 7 сент. 2022 г.
 *      Author: alexander
 */

#pragma once

#include <memory>
#include <socket.hpp>
#include <address.hpp>
#include <buffer.hpp>

namespace zh
{

class Server // @suppress("Class has a virtual method and non-virtual destructor")
{
protected:
    std::unique_ptr<Socket> _socket;
    std::unique_ptr<Address> _address;
    std::unique_ptr<Buffer> _buffer;
    const unsigned short int _port;
public:
    Server(const unsigned short int port, const unsigned short int sizeBuffer);
    virtual void bind() {}
    virtual void listen() {}
};

}
